%define upstream_name    Text-BibTeX
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to read and parse BibTeX files 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.60.0
BuildRequires: perl(Config::AutoConf) >= 0.160.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::LibBuilder) >= 0.20.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(Module::Build) >= 0.360.300
BuildRequires: perl(Scalar::Util) >= 1.420.0
BuildRequires: perl-devel
%description
The Text::BibTeX module serves mainly as a high-level introduction to the
Text::BibTeX library, for both code and documentation purposes. The code loads
the two fundamental modules for processing BibTeX files (Text::BibTeX::File and
Text::BibTeX::Entry), and this documentation gives a broad overview of the
whole library that isn't available in the documentation for the individual
modules that comprise it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
perl -pi -e 's|#!/usr/local/bin/perl5?|#!/usr/bin/perl|' scripts/* examples/*

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
#install -d -m 755 %{buildroot}%{_bindir}
#install -m 755 btformat btcheck btsort %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/bibparse %{buildroot}%{_bindir}/bibparse-perl

%files
%doc Changes META.json META.yml MYMETA.yml README THANKS examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/libbtparse.so

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.720.0-1.mga6
+ Revision: 1010822
- update to 0.72

* Fri Feb 12 2016 umeabot <umeabot> 0.710.0-3.mga6
+ Revision: 958079
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.710.0-2.mga6
+ Revision: 845314
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.710.0-1.mga6
+ Revision: 841449
- update to 0.71

* Sat Oct 18 2014 umeabot <umeabot> 0.700.0-4.mga5
+ Revision: 788230
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-3.mga5
+ Revision: 744508
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-2.mga5
+ Revision: 686598
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.700.0-1.mga5
+ Revision: 670904
- update to 0.70

* Tue Jun 03 2014 pterjan <pterjan> 0.690.0-2.mga5
+ Revision: 631758
- Rebuild for perl 5.20

* Fri Feb 28 2014 jquelin <jquelin> 0.690.0-1.mga5
+ Revision: 597871
- update to 0.69

* Mon Feb 24 2014 jquelin <jquelin> 0.670.0-1.mga5
+ Revision: 596371
- update to 0.67

* Sat Oct 19 2013 umeabot <umeabot> 0.660.0-4.mga4
+ Revision: 524542
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.660.0-3.mga4
+ Revision: 430971
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.660.0-2.mga3
+ Revision: 373997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.660.0-1.mga3
+ Revision: 315895
- update to 0.66

* Fri Sep 28 2012 jquelin <jquelin> 0.650.0-1.mga3
+ Revision: 298950
- update to 0.65

* Thu Jul 12 2012 jquelin <jquelin> 0.640.0-1.mga3
+ Revision: 270333
- update to 0.64

* Tue Jun 05 2012 jquelin <jquelin> 0.630.0-1.mga3
+ Revision: 255533
- update to 0.63

* Wed May 30 2012 jquelin <jquelin> 0.620.0-2.mga3
+ Revision: 251214
- rebuild for perl 5.16

* Wed Jan 25 2012 jquelin <jquelin> 0.620.0-1.mga2
+ Revision: 201065
- update to 0.62

* Wed Nov 09 2011 jquelin <jquelin> 0.610.0-1.mga2
+ Revision: 165847
- no need to clean buildroot
- update to 0.60

  + takashi <takashi>
    - update to 0.61

* Wed Jun 22 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 112300
- update to 0.58

* Fri Jun 17 2011 jquelin <jquelin> 0.570.0-1.mga2
+ Revision: 109164
- update to 0.57

* Wed Jun 15 2011 jquelin <jquelin> 0.560.0-1.mga2
+ Revision: 107481
- update to 0.56

* Sun Jun 12 2011 sander85 <sander85> 0.540.0-2.mga2
+ Revision: 105037
- Rebuild for perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.540.0-1.mga1
+ Revision: 88678
- update to 0.54

* Sun Mar 13 2011 jquelin <jquelin> 0.530.0-1.mga1
+ Revision: 70501
- update to 0.53

* Sat Feb 26 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 60373
- update to 0.52

* Sat Jan 22 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 31293
- mageia rebuild
- imported package perl-Text-BibTeX

